GDCM: gdcm::Module Class Reference

GDCM 3.2.6

Public Types | Public Member Functions | Friends | List of all members
gdcm::Module Class Reference

Class for representing a Module. More...

`#include <gdcmModule.h>`

## Public Types
typedef std::vector< std::string > | ArrayIncludeMacrosType
typedef std::map< Tag, ModuleEntry > | MapModuleEntry

## Public Member Functions
| Module ()=default
void | AddMacro (const char *include)
void | AddModuleEntry (const Tag &tag, const ModuleEntry &module)
| Will add a ModuleEntry directly at root-level. See Macro for nested-included level.
void | Clear ()
bool | FindModuleEntryInMacros (Macros const &macros, const Tag &tag) const
const ModuleEntry & | GetModuleEntryInMacros (Macros const &macros, const Tag &tag) const
const char * | GetName () const
void | SetName (const char *name)
bool | Verify (const DataSet &ds, Usage const &usage) const

## Friends
std::ostream & | operator<< (std::ostream &_os, const Module &_val)

## Detailed Description

Class for representing a Module.

Note
  Module: A set of Attributes within an Information Entity or Normalized IOD which are logically related to each other.

See also
  Macro

Examples
  TraverseModules.cxx.

## Member Typedef Documentation

## ◆ ArrayIncludeMacrosType

typedef std::vector<std::string> gdcm::Module::ArrayIncludeMacrosType

## ◆ MapModuleEntry

typedef std::map<Tag, ModuleEntry> gdcm::Module::MapModuleEntry

## Constructor & Destructor Documentation

## ◆ Module()

gdcm::Module::Module | ( |  | ) |
| default

References Module(), and operator<<.

Referenced by Module(), and operator<<.

## Member Function Documentation

## ◆ AddMacro()

void gdcm::Module::AddMacro | ( | const char * | include | ) |
| inline

## ◆ AddModuleEntry()

void gdcm::Module::AddModuleEntry | ( | const Tag & | tag,
|  | const ModuleEntry & | module )
| inline

Will add a ModuleEntry directly at root-level. See Macro for nested-included level.

## ◆ Clear()

void gdcm::Module::Clear | ( |  | ) |
| inline

## ◆ FindModuleEntryInMacros()

bool gdcm::Module::FindModuleEntryInMacros | ( | Macros const & | macros,
|  | const Tag & | tag ) const

Find or Get a ModuleEntry. ModuleEntry are either search are root-level or within nested-macro included in module.

Examples
  TraverseModules.cxx.

## ◆ GetModuleEntryInMacros()

const ModuleEntry & gdcm::Module::GetModuleEntryInMacros | ( | Macros const & | macros,
|  | const Tag & | tag ) const

## ◆ GetName()

const char * gdcm::Module::GetName | ( |  | ) | const
| inline

## ◆ SetName()

void gdcm::Module::SetName | ( | const char * | name | ) |
| inline

## ◆ Verify()

bool gdcm::Module::Verify | ( | const DataSet & | ds,
|  | Usage const & | usage ) const

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const Module & | _val )
| friend

References Module().

Referenced by Module().

The documentation for this class was generated from the following file:

- gdcmModule.h